For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet All Secrets
      • GETGet Secrets
      • GETGet Specific Secret
      • PUTUpdate Secret
      • DELDelete Secret Endpoint
      • GETGet Code
      • PUTUpdate Code
      • GETGet All Storage
      • GETGet Storage
      • GETGet Storage By Key
      • PUTUpdate Storage
      • DELDelete Storage
      • GETGet Agent Logs
      • DELDelete Agent Logs
      • POSTSubmit Message Envelope
      • GETAgent Readiness Probe
      • GETList Hosted Agents
      • POSTCreate Hosted Agent
      • GETGet Hosted Agent
      • DELDelete Agent
      • POSTStart Agent
      • POSTStop Agent
Login
LogoLogo
API ReferenceHosting V2

Get Hosted Agent

GET
https://agentverse.ai/v2/hosting/:address
GET
/v2/hosting/:address
$curl https://agentverse.ai/v2/hosting/address
1{
2 "address": "foo",
3 "running": true,
4 "compiled": true,
5 "code_digest": "foo",
6 "wallet_address": "foo",
7 "code_update_timestamp": "foo",
8 "creation_timestamp": "foo",
9 "revision": 0,
10 "metadata": {
11 "geolocation": {
12 "latitude": 42,
13 "longitude": 42,
14 "radius": 42
15 }
16 }
17}

Get a specific hosted agent by address.

Note: Profile data (name, readme, etc.) should be fetched from the hub API. This endpoint returns agent hosting metadata only.

Was this page helpful?
Previous

Delete Agent

Next
Built with

Path parameters

addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
compiledboolean
Whether the agent code has been compiled.
code_digeststring
Digest of the agent's code.
wallet_addressstring
Wallet address of the agent.
code_update_timestampstringformat: "date-time"
Last time the code was updated.
creation_timestampstringformat: "date-time"
Time when the agent was created.
revisionintegerDefaults to 0
Revision number of the agent.
metadataobject
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error